/*!
 * draggable を使用したｵﾌﾞｼﾞｪｸﾄのﾄﾞﾗｯｸﾞ表示
 *
 * GE18 ﾃｰﾌﾞﾙを使用した、ｵﾌﾞｼﾞｪｸﾄのﾄﾞﾗｯｸﾞと、位置情報の書き込みを行います。
 * headタグで、useJQUI="true" で組み込まれるようにします。
 * 
 * 詳細は、dragViewタグをご確認ください。
 * 
 * openGion 7.0.1.0 (2018/10/15)
 */

$(function(){
	$(".dragDiv").draggable( {
		containment: 'parent',							// 親範囲の中のみで移動
		opacity: 0.5,									// 移動中のオブジェクトの透明度
		// 7.0.6.4 (2019/11/29) common/gamen/14_EDIT に組み込むとｴﾗｰになる。
//		grid: $(".dragView").attr("grid").split(','),	// 移動時のグリッド
		grid: $(".dragView").attr("grid") ? $(".dragView").attr("grid").split(',') : [10, 10] ,
		stop: function ( ev, ui ) {						// 移動終了時の callメソッド
//			alert( $(this).attr("id") + "," + Math.round($(this).offset().left) + "," + Math.round($(this).offset().top) );
			$.ajax({
					url		: $(".dragView").attr("url"),
					data	: {	UNIQ		: $(this).attr("id") ,
								LOC_COL		: Math.round($(this).offset().left) ,
								LOC_ROW		: Math.round($(this).offset().top)  ,
					//			LOC_GRP		: $(this).attr( "loc_grp"    ),
					//			LOC_KEY		: $(this).attr( "loc_key"    ),
					//			NAME_JA		: $(this).attr( "name_ja"    ),
					//			LABEL_NAME	: $(this).attr( "label_name" ),
					//			BIKO		: $(this).attr( "biko"       ),
					//			R_KEY1		: $(this).attr( "r_key1"     ),
					//			R_KEY2		: $(this).attr( "r_key2"     ),
					//			R_KEY3		: $(this).attr( "r_key3"     ),
							  } ,
					async	: true,
					type	: 'GET',
					dataType: 'html' ,
			});
		 }
	 } );
});
